org.apache.geode.cache.query

## Class RegionNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.geode.GemFireCheckedException
      - - org.apache.geode.cache.query.QueryException
        - - org.apache.geode.cache.query.NameResolutionException
          - - org.apache.geode.cache.query.RegionNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class RegionNotFoundException
      extends NameResolutionException

  Thrown if a region referenced by name in a query cannot be found.
  Since:
    GemFire 4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionNotFoundException(java.lang.String msg)` Construct an instance of RegionNotFoundException
    `RegionNotFoundException(java.lang.String msg, java.lang.Throwable cause)` Constructs an instance of RegionNotFoundException

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireCheckedException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegionNotFoundException

          public RegionNotFoundException(java.lang.String msg)

      Construct an instance of RegionNotFoundException
      Parameters:
        `msg` - the error message

    - #### RegionNotFoundException

          public RegionNotFoundException(java.lang.String msg,
                                         java.lang.Throwable cause)

      Constructs an instance of RegionNotFoundException
      Parameters:
        `msg` - the error message
        `cause` - a Throwable that is a cause of this exception